Bug 484775 - page not found error on clicking links on https://fjs-0-07.rhndev.redhat.com/rhn/channels/ChannelDetail.do?cid=102
page not found error on clicking links on https://fjs-0-07.rhndev.redhat.com/...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Preethi Thomas
: Regression
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-02-09 15:58 EST by Preethi Thomas
Modified: 2009-09-10 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-02-09 15:58:16 EST
Description of problem:
page not found error on clicking on some of the links on https://fjs-0-07.rhndev.redhat.com/rhn/channels/ChannelDetail.do?cid=102

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090203.0-i386-embedded-oracle.iso

How reproducible:
always

Steps to Reproduce:
1. login to a Satellite 530
2. go to channels->software channels
3. click on a channel name
4. click on the "selected users within your organization" and "subscribers" links under basic channel details.

  
Actual results:
Page not found
link takes you to https://fjs-0-07.rhndev.redhat.com/rhn/channels/null


Expected results:

correct page.
Additional info:
Comment 1 Shannon Hughes 2009-02-12 15:50:42 EST
these links were removed in the Satellite-5.3.0-RHEL5-re20090206.1-i386-embedded-oracle.iso

also confirmed that the subscribers tab is working with no "null" in the path. this is the same url the other two links were pointing to. 

moving to modified
Comment 2 Preethi Thomas 2009-02-24 09:55:53 EST
verified
ISO: Satellite-5.3.0-RHEL5-re20090220.1-i386-embedded-oracle.iso
Comment 3 John Sefler 2009-08-03 17:11:22 EDT
Re-verified in stage satellite built 7/24

Usability appears to have changed slightly from original problem description.  I verified:

1. login to a Satellite 530
2. go to channels->software channels
3. click on a channel name
4. click on the radio button Per-User Subscription Restrictions: "Only selected users within your organization may subscribe to this channel."  then Update

got a successful updated message including: Per-User subscription restrictions may be applied in the Subscribers tab

5. Click to Subscribers tab

got a valid page with a user list and message: Selected users may subscribe systems to this channel. Users with Admin Access (org admins or channel admins) may subscribe systems to any channel.

moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:48:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.